# ``subvertpy`.`properties``

module documentation

Handling of Subversion properties.

Exception | `InvalidExternalsDescription` | Undocumented
Function | `diff` | Find the differences between two property dictionaries.
Function | `generate_mergeinfo_property` | Generate the contents of the svn:mergeinfo property
Function | `is_valid_property_name` | Check the validity of a property name.
Function | `mergeinfo_add_revision` | Add a revision to a mergeinfo dictionary
Function | `mergeinfo_includes_revision` | Check if the specified mergeinfo contains a path in revnum.
Function | `parse_externals_description` | Parse an svn:externals property value.
Function | `parse_mergeinfo_property` | Parse a mergeinfo property.
Function | `range_add_revnum` | Add revision number to a list of ranges
Function | `range_includes_revnum` | Check if the specified range contains the mentioned revision number.
Function | `time_from_cstring` | Parse a time from a cstring.
Function | `time_to_cstring` | Determine string representation of a time.
Constant | `PROP_ENTRY_COMMITTED_DATE` | Undocumented
Constant | `PROP_ENTRY_COMMITTED_REV` | Undocumented
Constant | `PROP_ENTRY_LAST_AUTHOR` | Undocumented
Constant | `PROP_ENTRY_LOCK_TOKEN` | Undocumented
Constant | `PROP_ENTRY_PREFIX` | Undocumented
Constant | `PROP_ENTRY_UUID` | Undocumented
Constant | `PROP_EXECUTABLE` | Undocumented
Constant | `PROP_EXECUTABLE_VALUE` | Undocumented
Constant | `PROP_EXTERNALS` | Undocumented
Constant | `PROP_IGNORE` | Undocumented
Constant | `PROP_KEYWORDS` | Undocumented
Constant | `PROP_MERGEINFO` | Undocumented
Constant | `PROP_MIME_TYPE` | Undocumented
Constant | `PROP_NEEDS_LOCK` | Undocumented
Constant | `PROP_NEEDS_LOCK_VALUE` | Undocumented
Constant | `PROP_PREFIX` | Undocumented
Constant | `PROP_REVISION_AUTHOR` | Undocumented
Constant | `PROP_REVISION_DATE` | Undocumented
Constant | `PROP_REVISION_LOG` | Undocumented
Constant | `PROP_REVISION_ORIGINAL_DATE` | Undocumented
Constant | `PROP_SPECIAL` | Undocumented
Constant | `PROP_SPECIAL_VALUE` | Undocumented
Constant | `PROP_WC_PREFIX` | Undocumented
Variable | `__author__` | Undocumented

def diff(current, previous):

Find the differences between two property dictionaries.

Parameters
current | Dictionary with current (new) properties
previous | Dictionary with previous (old) properties

Returns
Dictionary that contains an entry for each property that was changed. Value is a tuple with the old and the new property value.

def generate_mergeinfo_property(merges):

Generate the contents of the svn:mergeinfo property

Parameters
merges | dictionary mapping paths to lists of ranges

Returns
Property contents

def is_valid_property_name(prop):

Check the validity of a property name.

Parameters
prop | Property name

Returns
Whether prop is a valid property name

def mergeinfo_add_revision(mergeinfo, path, revnum):

Add a revision to a mergeinfo dictionary

Parameters
mergeinfo | Merginfo dictionary
path | Merged path to add
revnum | Merged revision to add

Returns
Updated dictionary

def mergeinfo_includes_revision(merges, path, revnum):

Check if the specified mergeinfo contains a path in revnum.

Parameters
merges | Dictionary with merges
path | Merged path
revnum | Revision number

Returns
Whether the revision is included

def parse_externals_description(base_url, val):

Parse an svn:externals property value.

Parameters
base_url | URL on which the property is set. Used for relative externals.
val | Undocumented

Returns
dictionary with local names as keys, (revnum, url) as value. revnum is the revision number and is set to None if not applicable.

def parse_mergeinfo_property(text):

Parse a mergeinfo property.

Parameters
text | Property contents

def range_add_revnum(ranges, revnum, inheritable=True):

Add revision number to a list of ranges

Parameters
ranges | List of ranges
revnum | Revision number to add
inheritable | TODO

Returns
New list of ranges

def range_includes_revnum(ranges, revnum):

Check if the specified range contains the mentioned revision number.

Parameters
ranges | list of ranges
revnum | revision number

Returns
Whether or not the revision number is included

def time_from_cstring(text):

Parse a time from a cstring.

Parameters
text | Parse text

Returns
number of microseconds since the start of 1970

def time_to_cstring(timestamp):

Determine string representation of a time.

Parameters
timestamp | Number of microseconds since the start of 1970

Returns
string with date

PROP_ENTRY_COMMITTED_DATE: `str` =

Undocumented

Value

    'svn:entry:committed-date'

PROP_ENTRY_COMMITTED_REV: `str` =

Undocumented

Value

    'svn:entry:committed-rev'

PROP_ENTRY_LAST_AUTHOR: `str` =

Undocumented

Value

    'svn:entry:last-author'

PROP_ENTRY_LOCK_TOKEN: `str` =

Undocumented

Value

    'svn:entry:lock-token'

PROP_ENTRY_PREFIX: `str` =

Undocumented

Value

    'svn:entry'

PROP_ENTRY_UUID: `str` =

Undocumented

Value

    'svn:entry:uuid'

PROP_EXECUTABLE: `str` =

Undocumented

Value

    'svn:executable'

PROP_EXECUTABLE_VALUE: `bytes` =

Undocumented

Value

    b'*'

PROP_EXTERNALS: `str` =

Undocumented

Value

    'svn:externals'

PROP_IGNORE: `str` =

Undocumented

Value

    'svn:ignore'

PROP_KEYWORDS: `str` =

Undocumented

Value

    'svn:keywords'

PROP_MERGEINFO: `str` =

Undocumented

Value

    'svn:mergeinfo'

PROP_MIME_TYPE: `str` =

Undocumented

Value

    'svn:mime-type'

PROP_NEEDS_LOCK: `str` =

Undocumented

Value

    'svn:needs-lock'

PROP_NEEDS_LOCK_VALUE: `bytes` =

Undocumented

Value

    b'*'

PROP_PREFIX: `str` =

Undocumented

Value

    'svn:'

PROP_REVISION_AUTHOR: `str` =

Undocumented

Value

    'svn:author'

PROP_REVISION_DATE: `str` =

Undocumented

Value

    'svn:date'

PROP_REVISION_LOG: `str` =

Undocumented

Value

    'svn:log'

PROP_REVISION_ORIGINAL_DATE: `str` =

Undocumented

Value

    'svn:original-date'

PROP_SPECIAL: `str` =

Undocumented

Value

    'svn:special'

PROP_SPECIAL_VALUE: `bytes` =

Undocumented

Value

    b'*'

PROP_WC_PREFIX: `str` =

Undocumented

Value

    'svn:wc:'

__author__: `str` =

Undocumented